Đến nội dung


Hình ảnh

giúp em sửa lỗi cua lisp vẽ mái taluy


  • Please log in to reply
1 reply to this topic

#1 hoanquoctrinh

hoanquoctrinh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 June 2013 - 03:48 PM

em co cái lisp vẽ chân mái taluy mong các bác giúp em với khi đánh lệnh thì  nó mất bắt điểm thế mới tức chứ mong được các pro giúp em với.

 

 

(princ "\n   TLT : vÏ ®­êng polyline ch©n taluy phÝa bªn Tr¸i tim tuyÕn")
(princ "\n   TLP : vÏ ®­êng polyline ch©n taluy phÝa bªn Ph¶i tim tuyÕn")
(defun C:TLT()
  (vmon)
  (setq eclast (getvar "CMDECHO"))
  (setq oslast (getvar "OSMODE"))
  (setvar "CMDECHO" 0)
  (command "pline")
  (setq pt0 (getpoint "\nTõ ®iÓm (trªn tim tuyÕn) : "))
  (initget (+ 1 2 4))
  (setq l0 (getreal "\nSang tr¸i : "))
  (setq x0 (car pt0) y0 (cadr pt0))
  (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  (setq dl (distance pt0 pt1))
  (setq heso (/ l0 dl))
  (setq x1 (car pt1) y1 (cadr pt1))
  (setq u3 (- x1 x0) v3 (- y1 y0))
  (setq u1 (- x0 (* heso v3)) v1 (+ y0 (* heso u3)))
  (while (/= pt1 nil)
    (setvar "OSMODE" 0)
    (command (list u1 v1))
    (print)
    (print)
    (initget (+ 1 2 4))
    (setq l1 (getreal "\nSang tr¸i : "))
    (setq x1 (car pt1) y1 (cadr pt1))
    (setq u3 (- x1 x0) v3 (- y1 y0))
    (setq dl (distance pt0 pt1))
    (setq heso (/ l1 dl))
    (setq u1 (- x1 (* heso v3)) v1 (+ y1 (* heso u3)))
    (setq x0 x1 y0 y1)
    (setq pt0 pt1)
    (setvar "OSMODE" oslast)
    (print)
    (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  )
  (setvar "OSMODE" 0)
  (command (list u1 v1) "")
  (setvar "OSMODE" oslast)
  (setvar "CMDECHO" eclast)
 )
;*
;*
;*
(defun C:TLP()
  (vmon)
  (setq eclast (getvar "CMDECHO"))
  (setq oslast (getvar "OSMODE"))
  (setvar "CMDECHO" 0)
  (setvar "OSMODE" 4)
  (command "pline")
  (setq pt0 (getpoint "\nTõ ®iÓm (trªn tim tuyÕn) : "))
  (initget (+ 1 2 4))
  (setq l0 (getreal "\nSang ph¶i : "))
  (setq x0 (car pt0) y0 (cadr pt0))
  (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  (setq dl (distance pt0 pt1))
  (setq heso (/ l0 dl))
  (setq x1 (car pt1) y1 (cadr pt1))
  (setq u3 (- x1 x0) v3 (- y1 y0))
  (setq u1 (+ x0 (* heso v3)) v1 (- y0 (* heso u3)))
  (while (/= pt1 nil)
    (setvar "OSMODE" 0)
    (command (list u1 v1))
    (print)
    (print)
    (initget (+ 1 2 4))
    (setq l1 (getreal "\nSang ph¶i : "))
    (setq x1 (car pt1) y1 (cadr pt1))
    (setq u3 (- x1 x0) v3 (- y1 y0))
    (setq dl (distance pt0 pt1))
    (setq heso (/ l1 dl))
    (setq u1 (+ x1 (* heso v3)) v1 (- y1 (* heso u3)))
    (setq x0 x1 y0 y1)
    (setq pt0 pt1)
    (setvar "OSMODE" oslast)
    (print)
    (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  )
  (setvar "OSMODE" 0)
  (command (list u1 v1) "")
  (setvar "OSMODE" oslast)
  (setvar "CMDECHO" eclast)
)
 


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 05 June 2013 - 03:57 PM

Tìm dòng này và delete quách nó đi.

(setvar "OSMODE" 4)


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.